Subject: Re: segfault in completion for configure
From: Vincent Lefevre <[email-masked]>
To: [email-masked]
Date: Sun, 13 Mar 2016 03:26:05 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 2016-03-12 08:20:29 -0800, Bart Schaefer wrote:
> On Mar 12,  4:11am, Vincent Lefevre wrote:
> }
> } On 2016-03-11 15:00:56 -0800, Bart Schaefer wrote:
> } > [...] if you have a TRAPCHLD function it's
> } > possible that it's corrupting something.
> } 
> } I can't reproduce the bug if I remove:
> } 
> }   [[ -n $TTY && $TERM == (xterm*|dtterm|mlterm|rxvt*|screen*) ]] &&
> }     {
> }       [[ $TERM == screen* ]] || print -nP "\e]1;%m${ptsn:+[$ptsn]}:%.\x07"
> }       print -nP "\e]2;${jobstr}${WINTITLE:+ $WINTITLE |} %n@%m - %~ | %y\x07"
> }     } > /dev/tty
> 
> What if you just remove the $TERM comparisons, i.e. leave the test of
> $TTY and the print statement?

I can't reproduce the crash if I remove these comparisons.
I'll try the patch tomorrow.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)